import { ASTNode, FragmentDefinitionNode } from 'graphql';
export declare type ScalarsMap = {
    [name: string]: string;
};
export declare type EnumValuesMap<AdditionalProps = {}> = {
    [enumName: string]: string | ({
        [key: string]: string;
    } & AdditionalProps);
};
export declare type ConvertNameFn<T = {}> = ConvertFn<T>;
export interface ConvertOptions {
    prefix?: string;
    suffix?: string;
    transformUnderscore?: boolean;
}
export declare type ConvertFn<T = {}> = (node: ASTNode | string, options?: ConvertOptions & T) => string;
export declare type NamingConventionResolvePath = string;
export declare type NamingConvention = string | Function | NamingConventionMap;
export interface NamingConventionMap {
    enumValues?: 'keep' | NamingConventionResolvePath | Function;
    typeNames?: 'keep' | NamingConventionResolvePath | Function;
    transformUnderscore?: boolean;
}
export declare type LoadedFragment = {
    name: string;
    onType: string;
    node: FragmentDefinitionNode;
    isExternal: boolean;
    importFrom?: string | null;
};
